Upsert LookupTableRevisionData entry - m3ter Documentation

Upsert LookupTableRevisionData entry

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "item": {},\n  "version": 123\n}\n'\n```

### Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}"

payload = { "item": {}, "version": 123 } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" }

response = requests.put(url, json=payload, headers=headers)

print(response.text)


### JavaScript (Fetch API)

const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: JSON.stringify({item: {}, version: 123}) };

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "PUT",\ CURLOPT_POSTFIELDS => json_encode([\ 'item' => [\ ],\ 'version' => 123\ ]),\ CURLOPT_HTTPHEADER => [\ "Authorization: Bearer ",\ "Content-Type: application/json"\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}"

payload := strings.NewReader("{\n "item": {},\n "version": 123\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Java (Unirest)

HttpResponse response = Unirest.put("https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n "item": {},\n "version": 123\n}") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n "item": {},\n "version": 123\n}"

response = http.request(request) puts response.read_body


### Response

- **200** - Returns the upserted Lookup Table Revision Data item
- **4XX** - Client errors
- **5XX** - Server errors

Response example:

{ "items": [{}], "dtCreated": "2023-11-07T05:31:56Z", "dtLastModified": "2023-11-07T05:31:56Z", "createdBy": "", "lastModifiedBy": "", "version": 123 }


{ "message": "" }


### Path Parameters

- `orgId`: UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
- `lookupTableId`: UUID of the Lookup Table.
- `lookupTableRevisionId`: UUID of the Lookup Table Revision.
- `lookupKey`: The specific lookup key for the Data item to upsert.

### Query Parameters

- `additional`: Comma separated list of additional fields. For example, you can use `additional=lookupKey` to get the lookup key returned for the Data item.